> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get quotes

GET https://www.okx.com/api/v5/rfq/quotes

Retrieve the active or historical quotes that the user has created or received in response to their RFQs.

Reference: https://okx-demo.ferndocs.com/api/api-reference/block-trading/get-quotes

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `rfqId` (string, optional) — RFQ ID to filter by.
- `clRfqId` (string, optional) — Client-supplied RFQ ID to filter by.
- `quoteId` (string, optional) — Quote ID to filter by.
- `clQuoteId` (string, optional) — Client-supplied quote ID to filter by.
- `state` (enum, optional) — State of the quote to filter by.
  - Allowed values: `active`, `canceled`, `pending_fill`, `filled`, `expired`, `failed`
- `beginId` (string, optional) — Pagination: request records newer than (but not including) this quote ID.
- `endId` (string, optional) — Pagination: request records older than (but not including) this quote ID.
- `limit` (string, optional) — Number of results per request. Maximum and default are both 100.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5RfqQuotesGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5RfqQuotesGetResponsesContentApplicationJsonSchemaDataItems

- `validUntil` (string, optional) — Expiration time, Unix timestamp in milliseconds.
- `uTime` (string, optional) — Update time, Unix timestamp in milliseconds.
- `cTime` (string, optional) — Creation time, Unix timestamp in milliseconds.
- `quoteId` (string, optional) — Quote ID.
- `rfqId` (string, optional) — RFQ ID the quote responds to.
- `quoteSide` (string, optional) — Side of the quote.
- `state` (string, optional) — State of the quote.
- `clQuoteId` (string, optional) — Client-supplied quote ID.
- `clRfqId` (string, optional) — Client-supplied RFQ ID.
- `traderCode` (string, optional) — Trader code of the maker.
- `legs` (list of ApiV5RfqQuotesGetResponsesContentApplicationJsonSchemaDataItemsLegsItems, optional) — Legs of the quote.

### ApiV5RfqQuotesGetResponsesContentApplicationJsonSchemaDataItemsLegsItems

- `px` (string, optional) — Price of the leg.
- `sz` (string, optional) — Size of the leg.
- `instId` (string, optional) — Instrument ID.
- `side` (string, optional) — Side of the leg.
- `tgtCcy` (string, optional) — Quantity type for spot legs.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "validUntil": "1608997227834",
      "uTime": "1608267227834",
      "cTime": "1608267227834",
      "quoteId": "25092",
      "rfqId": "18753",
      "quoteSide": "sell",
      "state": "canceled",
      "clQuoteId": "cq001",
      "clRfqId": "cr001",
      "traderCode": "Trader1",
      "legs": [
        {
          "px": "46000",
          "sz": "25",
          "instId": "BTC-USD-220114-25000-C",
          "side": "sell",
          "tgtCcy": "",
          "ccy": "USDT",
          "posSide": "long",
          "tdMode": "cross"
        },
        {
          "px": "45000",
          "sz": "25",
          "instId": "BTC-USDT",
          "side": "buy",
          "tgtCcy": "base_ccy",
          "ccy": "USDT",
          "posSide": "long",
          "tdMode": "cross",
          "tradeQuoteCcy": "USDT"
        }
      ],
      "reason": "mmp_canceled",
      "tag": "123456"
    }
  ]
}
```

**SDK Code**

```python blockTrading_getQuotes_example
import requests

url = "https://www.okx.com/api/v5/rfq/quotes"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript blockTrading_getQuotes_example
const url = 'https://www.okx.com/api/v5/rfq/quotes';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go blockTrading_getQuotes_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/rfq/quotes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby blockTrading_getQuotes_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/rfq/quotes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java blockTrading_getQuotes_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/rfq/quotes")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php blockTrading_getQuotes_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/rfq/quotes', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp blockTrading_getQuotes_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/rfq/quotes");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift blockTrading_getQuotes_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/rfq/quotes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```